#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <stdlib.h>

#include <g3d/g3d.h>

#include "main.h"
#include "gl.h"

int texture_load_all_textures(G3DModel *model)
{
	if(model == NULL) return EXIT_FAILURE;

	if(model->tex_images != NULL)
		g_hash_table_foreach(model->tex_images,
			gl_load_texture, NULL);

	return EXIT_SUCCESS;
}

#if 0
int g3d_texture_prepare(G3DImage *texture)
{
	guint w = 1, h = 1;

	while(w < texture->width) w *= 2;
	while(h < texture->height) h *= 2;

	if(w < h) w = h;
	else if(h < w) h = w;

	if((h == texture->height) && (w == texture->width)) return EXIT_SUCCESS;

	texture->scaleu = (GLfloat)texture->width / (GLfloat)w;
	texture->scalev = (GLfloat)texture->height / (GLfloat)h;

#if DEBUG > 0
	g_printerr("resizing texture to %ux%u (%f, %f)\n", w, h,
		texture->scaleu, texture->scalev);
#endif

	return image_expand(texture, w, h);
}
#endif
